cmdline_options Struct Reference

## Data Fields

int | sflag
int | xflag
int | do_loop
int | do_print
int | do_line
int | do_split
int | do_search
unsigned int | disable
int | verbose
int | safe_level
unsigned int | setids
unsigned int | dump
const char * | script
VALUE | script_name
VALUE | e_script
struct {
struct {
VALUE name
int index
} enc
} | src
struct {
struct {
VALUE name
int index
} enc
} | ext
struct {
struct {
VALUE name
int index
} enc
} | intern
VALUE | req_list

## Detailed Description

Definition at line 75 of file ruby.c.

## Field Documentation

unsigned int cmdline_options::disable

Definition at line 80 of file ruby.c.

Referenced by cmdline_options_init(), proc_options(), and process_options().

int cmdline_options::do_line

Definition at line 78 of file ruby.c.

Referenced by proc_options(), and process_options().

int cmdline_options::do_loop

Definition at line 77 of file ruby.c.

Referenced by proc_options(), and process_options().

int cmdline_options::do_print

Definition at line 77 of file ruby.c.

Referenced by proc_options(), and process_options().

int cmdline_options::do_search

Definition at line 79 of file ruby.c.

Referenced by proc_options(), and process_options().

int cmdline_options::do_split

Definition at line 78 of file ruby.c.

Referenced by proc_options(), and process_options().

unsigned int cmdline_options::dump

Definition at line 84 of file ruby.c.

Referenced by proc_options(), and process_options().

VALUE cmdline_options::e_script

Definition at line 87 of file ruby.c.

Referenced by proc_options(), and process_options().

struct { ... } cmdline_options::enc

Referenced by cmdline_options_init(), load_file_internal(), proc_options(), and process_options().

struct { ... } cmdline_options::ext

Referenced by cmdline_options_init(), load_file_internal(), proc_options(), and process_options().

int cmdline_options::index

Definition at line 91 of file ruby.c.

struct { ... } cmdline_options::intern

Referenced by cmdline_options_init(), load_file_internal(), and process_options().

VALUE cmdline_options::name

Definition at line 90 of file ruby.c.

VALUE cmdline_options::req_list

Definition at line 94 of file ruby.c.

Referenced by load_file_internal(), proc_options(), and process_options().

int cmdline_options::safe_level

Definition at line 82 of file ruby.c.

Referenced by forbid_setid(), init_ids(), proc_options(), and process_options().

const char* cmdline_options::script

Definition at line 85 of file ruby.c.

Referenced by proc_options(), and process_options().

VALUE cmdline_options::script_name

Definition at line 86 of file ruby.c.

Referenced by load_file_internal(), and process_options().

unsigned int cmdline_options::setids

Definition at line 83 of file ruby.c.

Referenced by forbid_setid(), and init_ids().

int cmdline_options::sflag

Definition at line 76 of file ruby.c.

Referenced by proc_options(), and process_options().

struct { ... } cmdline_options::src

Referenced by cmdline_options_init(), load_file_internal(), proc_options(), and process_options().

int cmdline_options::verbose

Definition at line 81 of file ruby.c.

Referenced by proc_options(), and process_options().

int cmdline_options::xflag

Definition at line 76 of file ruby.c.

Referenced by load_file_internal(), proc_options(), and process_options().

The documentation for this struct was generated from the following file:

- ruby.c